Package com.trilead.ssh2

# Interface ChannelCondition

public interface ChannelCondition
Contains constants that can be used to specify what conditions to wait for on a SSH-2 channel (e.g., represented by a `Session`).

See Also:
  - `Session.waitForCondition(int, long)`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CLOSED`
The underlying SSH-2 channel, however not necessarily the whole connection, has been closed.
`static final int`
`EOF`
EOF on has been reached, no more _new_ stdout or stderr data will arrive from the remote server.
`static final int`
`EXIT_SIGNAL`
The exit signal of the remote process is available.
`static final int`
`EXIT_STATUS`
The exit status of the remote process is available.
`static final int`
`STDERR_DATA`
There is stderr data available that is ready to be consumed.
`static final int`
`STDOUT_DATA`
There is stdout data available that is ready to be consumed.
`static final int`
`TIMEOUT`
A timeout has occurred, none of your requested conditions is fulfilled.

## Field Details

### TIMEOUT

static final int TIMEOUT
A timeout has occurred, none of your requested conditions is fulfilled. However, other conditions may be true - therefore, NEVER use the "==" operator to test for this (or any other) condition. Always use something like `((cond invalid input: '&' ChannelCondition.CLOSED) != 0)`.

See Also:
  - Constant Field Values

### CLOSED

static final int CLOSED
The underlying SSH-2 channel, however not necessarily the whole connection, has been closed. This implies `EOF`. Note that there may still be unread stdout or stderr data in the local window, i.e, `STDOUT_DATA` or/and `STDERR_DATA` may be set at the same time.

See Also:
  - Constant Field Values

### STDOUT_DATA

static final int STDOUT_DATA
There is stdout data available that is ready to be consumed.

See Also:
  - Constant Field Values

### STDERR_DATA

static final int STDERR_DATA
There is stderr data available that is ready to be consumed.

See Also:
  - Constant Field Values

### EOF

static final int EOF
EOF on has been reached, no more _new_ stdout or stderr data will arrive from the remote server. However, there may be unread stdout or stderr data, i.e, `STDOUT_DATA` or/and `STDERR_DATA` may be set at the same time.

See Also:
  - Constant Field Values

### EXIT_STATUS

static final int EXIT_STATUS
The exit status of the remote process is available. Some servers never send the exist status, or occasionally "forget" to do so.

See Also:
  - Constant Field Values

### EXIT_SIGNAL

static final int EXIT_SIGNAL
The exit signal of the remote process is available.

See Also:
  - Constant Field Values